# Once done this will define
#
# NepomukQuery requires Nepomuk, so this module checks for Soprano too.
#
#  NEPOMUK_QUERY_FOUND - system has Nepomuk
#  NEPOMUK_QUERY_INCLUDE_DIR - the Nepomuk include directory
#  NEPOMUK_QUERY_LIBRARIES - Link these to use Nepomuk Query
#  NEPOMUK_QUERY_CLIENT_LIBRARIES - Link these to use Nepomuk Query Client
#  NEPOMUK_QUERY_DEFINITIONS - Compiler switches required for using Nepomuk
#

if (NOT DEFINED Nepomuk_FOUND)
  macro_optional_find_package(Nepomuk)
  macro_log_feature(Nepomuk_FOUND "Nepomuk" "Semantic Desktop" "" FALSE "" "Nepomuk is needed for NepomukQuery")
endif (NOT DEFINED Nepomuk_FOUND)

if (Nepomuk_FOUND)

  set (NEPOMUK_QUERY_FIND_REQUIRED ${NepomukQuery_FIND_REQUIRED})
  if (NEPOMUK_QUERY_INCLUDE_DIR AND NEPOMUK_QUERY_LIBRARIES)

    # Already in cache, be silent
    set(NEPOMUK_QUERY_FIND_QUIETLY TRUE)

  else (NEPOMUK_QUERY_INCLUDE_DIR AND NEPOMUK_QUERY_LIBRARIES)
    find_path(NEPOMUK_QUERY_INCLUDE_DIR
      NAMES
      nepomuk/term.h
      PATHS
      ${KDE4_INCLUDE_DIR}
      ${INCLUDE_INSTALL_DIR}
      )

    find_library(NEPOMUK_QUERY_LIBRARIES
      NAMES
      nepomukquery
      PATHS
      ${KDE4_LIB_DIR}
      ${LIB_INSTALL_DIR}
      )

    find_library(NEPOMUK_QUERY_CLIENT_LIBRARIES
      NAMES
      nepomukqueryclient
      PATHS
      ${KDE4_LIB_DIR}
      ${LIB_INSTALL_DIR}
      )

    mark_as_advanced(NEPOMUK_QUERY_INCLUDE_DIR NEPOMUK_QUERY_LIBRARIES)

  endif (NEPOMUK_QUERY_INCLUDE_DIR AND NEPOMUK_QUERY_LIBRARIES)

  include(FindPackageHandleStandardArgs)
  find_package_handle_standard_args(NEPOMUK_QUERY DEFAULT_MSG 
                                    NEPOMUK_QUERY_LIBRARIES NEPOMUK_QUERY_INCLUDE_DIR)
  #to retain backward compatibility
  set (NepomukQuery_FOUND ${NEPOMUK_QUERY_FOUND})

endif (Nepomuk_FOUND)
